# Cancel unpaid invoice

`PATCH https://api.strike.me/v1/invoices/{invoiceId}/cancel`

Source: https://docs.strike.me/api/cancel-unpaid-invoice/

---

Required scopes:

- partner.invoice.cancel

## Path parameters

- `invoiceId` (uuid, required): ID of invoice for which the cancellation is requested.

## Responses

### 200 OK

`application/json`

- `invoiceId` (uuid, required)
- `amount` (object, required)
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `state` (string, required): One of `UNPAID`, `PENDING`, `PAID`, `CANCELLED`.
- `created` (date-time, required)
- `correlationId` (string): Invoice correlation id.
- `description` (string): Invoice description.
- `issuerId` (uuid, required): Id of the invoice issuer.
- `receiverId` (uuid, required): Id of the invoice receiver.
- `payerId` (uuid): Id of the invoice payer. Present only when invoice was created for the dedicated payer.
- `transactions` (object[]): Transactions associated with this invoice. Only included when includeTransactions=true is passed.
  - `transactionId` (uuid, required): Unique identifier for the transaction.
  - `state` (string, required): Current state of the transaction. One of `PENDING`, `COMPLETED`.
  - `amountReceived` (object, required): Amount received in this transaction.
    - `amount` (string, required): Currency amount in decimal format.
    - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `created` (date-time, required): Timestamp when the transaction was created.
  - `completed` (date-time): Timestamp when the transaction completed. Present only when the transaction is completed.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
